Bug 1100609 - Process resources keep monitoring old process when changing piql or pid file
Summary: Process resources keep monitoring old process when changing piql or pid file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
: RHQ 4.12
Assignee: Thomas Segismont
QA Contact: Jeeva Kandasamy
URL:
Whiteboard:
Depends On:
Blocks: 1109439 1127875
TreeView+ depends on / blocked
 
Reported: 2014-05-23 08:21 UTC by Thomas Segismont
Modified: 2014-12-15 11:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1109439 (view as bug list)
Environment:
Last Closed: 2014-12-15 11:35:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1091134 None None None Never

Internal Links: 1091134

Description Thomas Segismont 2014-05-23 08:21:46 UTC
Description of problem:
When you change the plugin configuration of a Process resource (piql, pid file, full process tree), the resource component keeps monitoring the old process, as long as it stays up.

Version-Release number of selected component (if applicable):
4.11

How reproducible:
Always

Steps to Reproduce:
1.Import a Process Service to match process A
2.Check availability and metrics
3.Change plugin configuration to match process B
4.Shutdown process B

Actual results:
If process A is still up, the Process Service reports UP avail and metrics are still collected


Expected results:
The Process Service should report DOWN avail and metrics shouldn't be collected


Additional info:
This problem was found while working on analysis of Bug 1091134

Comment 1 Thomas Segismont 2014-05-23 08:28:59 UTC
Fixed in master

commit 481dbc2a158f44a73d37465c2676fddb1b13e9a4
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Fri May 23 10:24:45 2014 +0200

Wrapped config params in a class
Null out config instance and process instance when stopping component
Do not fill the metric report if the process is DOWN

Comment 2 Jeeva Kandasamy 2014-08-22 12:02:18 UTC
It's working as expected, however if we import a process resource when it is DOWN, name of the resource permanently fixed as '?' even the process up and running. Hence I opened another bug to track this issue BZ:https://bugzilla.redhat.com/show_bug.cgi?id=1132932

Version: 
JBoss Operations Network
Version : 3.2.0.GA Update 03
Build Number : bca1bc8:e19c43d
GWT Version : 2.5.0
SmartGWT Version : 3.0p

Comment 3 Jeeva Kandasamy 2014-08-22 12:45:32 UTC
We have to verify in RHQ master branch

Comment 4 Heiko W. Rupp 2014-12-15 11:35:58 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.